// Copyright (c) 2016, XMOS Ltd, All rights reserved
#include <platform.h>

on tile[0] : out port complete_signal = XS1_PORT_4E;

void _done() {
  set_port_use_on(complete_signal);

  complete_signal <: 0xc;

  while (1);
}

void _exit(int exitcode) {
  set_port_use_on(complete_signal);

  if (exitcode != 0) {
    complete_signal <: 0xe;
  } else {
    complete_signal <: 0xc;
  }

  while (1);
}

